BJScripts - Bug #1826

QuestBot: Quest_Journal_Info - Special Character Issue
2017-02-12 07:34 AM - srass

Status: Resolved
Priority: High

Assignee: bjcasey
Category: Broken Feature(s)

Target version:

vbulletin_issue_id:

Description

It appears that The Quest_Journal_Info is not picking up characters like the apostrophe or colon, see example quest below, and
causes the script to continue.

This was pulled using a iterator, so it was not manually typed:

Brother Pang's Trial: Combating Corruption

Error:

[Buffer:QuestBotMain]: TASK STEP DEBUG: [Quest_Journal_Info]: Quest name cannot be found in your quest journal. Skipping
scanning of quest journal details.

History

#1 - 2017-02-13 04:16 AM - bjcasey

- Status changed from New to In Progress

#2 - 2017-02-16 08:39 PM - srass
- File Capture_Quest_Creator_Steps.PNG added
- File Capture_Quest_Journal. PNG added

Attached is a screenshot of the quest and a screenshot of the Quest Journal

22:27:39: [Buffer:QuestBotMain]: Processing task #1 of 2.

22:27:39: [Buffer:QuestBotMain]: TASK STEP DEBUG: [Quest_Journal_Info]: Quest name cannot be found in your quest journal. Skipping scanning
of quest journal details.

22:27:39: [Buffer:QuestBotMain]: Processing task #2 of 2.

22:27:40: [Buffer:QuestBotMain]: TASK STEP DEBUG: [Quest_Journal_Info]: Quest name cannot be found in your quest journal. Skipping scanning
of quest journal details.

22:27:40: [Buffer:QuestBotMain]: Quest Bot Main Script is shutting down...

Step 1 is your phantom error we were discussing, but task 2 is where it should be finding the quest in my journal.

#3 - 2017-02-17 09:27 PM - srass

Please close this ticket, it appears that the quest has a space at the end of it, which you do not see in the output or the journal, at least it is not very
apparent.

Example (Space at the very end): "Brother Pang's Trial: Combating Corruption "

#4 - 2017-02-18 05:58 AM - bjcasey

- Status changed from In Progress to Resolved

I'll add square brackets around the debug info. That should help us notice extra spaces in the future.
https://forge.isxgames.com/issues/2

Files

Capture_Quest_Creator_Steps.PNG 138 KB 2017-02-17 srass
Capture_Quest_Journal.PNG 446 KB 2017-02-17 srass
